You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

111 lines
4.2 KiB

;;; bascht --- all the required packages
;;; Commentary:
;;; "all-" being the proper prefix here.
;;; We *really* need them before anything else fires up.
;;; Code:
(prelude-require-packages '(ace-jump-mode
ace-window
ag
anzu
cider
clojure-mode
coffee-mode
company
company-go
company-restclient
company-tern
csv-mode
dictcc
dockerfile-mode
doom-themes
emmet-mode
expand-region
fish-mode
flycheck
flycheck-rust
flymake
flymake-go
flymake-puppet
flymake-jslint
flymake-shell
flymake-yaml
gerrit-download
git-commit
git-gutter
git-timemachine
gitconfig-mode
gitignore-mode
gnuplot
gnus-alias
graphviz-dot-mode
haml-mode
helm-ag
helm-dictionary
helm-dash
helm-flycheck
helm-git
helm-go-package
helm-google
helm-ls-svn
helm-orgcard
helm-projectile
helm-rb
helm-swoop
helm-unicode
indent-guide
inf-ruby
less-css-mode
lua-mode
magit-gerrit
magit-gh-pulls
markdown-mode
material-theme
moe-theme
monokai-theme
move-text
multiple-cursors
nginx-mode
notmuch
notmuch-labeler
nyan-mode
org
org-beautify-theme
org-bullets
org-dashboard
org-present
org-projectile
ox-ioslide
ox-reveal
paredit
password-store
php-mode
puppet-mode
rainbow-mode
rainbow-delimiters
restclient
rspec-mode
ruby-compilation
ruby-dev
ruby-test-mode
ruby-tools
rust-mode
sass-mode
scss-mode
spacemacs-theme
smartparens
terraform-mode
toml-mode
tern
tern-context-coloring
undo-tree
use-package
vagrant
vagrant-tramp
visual-fill-column
writeroom-mode
yaml-mode
yasnippet))
(provide 'all-the-packages)
;;; all-the-packages.el ends here